using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class _Default : System.Web.UI.Page
{

    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        RadGrid1.NeedDataSource += new GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);
    }

    void RadGrid1_NeedDataSource(object sender, GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Account_ID");
        table.Columns.Add("List_ID");
        table.Columns.Add("List_Name");
        table.Columns.Add("Detail_Line");
        table.Columns.Add("Item_Count_Display");
        for (int i = 1; i < 8; i++)
        {
            table.Rows.Add(i, i+1, "List_Name" + i.ToString(), "Detail_Line" + i.ToString(), "Item_Count_Display" + i.ToString());
        }
        RadGrid1.DataSource = table;
    }
}
